Available in VPC
Get the list of Cloud DB for MySQL server specification codes available.
Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
|---|---|
| GET | POST | /vmysql/v2/getCloudMysqlProductList |
Request headers
For headers common to all Cloud DB for MySQL (VPC) APIs, see Cloud DB for MySQL (VPC) request headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
regionCode |
String | Optional | Region code
|
zoneCode |
String | Optional | Filter by zone code
|
cloudMysqlImageProductCode |
String | Required | Filter by Cloud DB for MySQL image product code
|
productCode |
String | Optional | Filter by Cloud DB for MySQL product code
|
exclusionProductCode |
String | Optional | Filter by excluding Cloud DB for MySQL product code
|
responseFormatType |
String | Optional | Format of the response result
|
Request example
The following is a sample request.
curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmysql/v2/getCloudMysqlProductList
?regionCode=KR
&cloudMysqlImageProductCode=SW.VDBAS.DBAAS.LNX64.CNTOS.0708.MYSQL.5732.B050
&productCode=SVR.VDBAS.STAND.C002.M008.NET.HDD.B050.G002
&exclusionProductCode=SVR.VDBAS.HICPU.C004.M008.NET.HDD.B050.G002' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
The following describes the response format.
Response body
See ProductList for the response body.
Response status codes
For information about the HTTP status codes common to all Cloud DB for MySQL (VPC) APIs, see Cloud DB for MySQL (VPC) response status codes.
Response example
The following is a sample response.
- If
responseFormatType=json
{
"getCloudMysqlProductListResponse": {
"totalRows": 1,
"productList": [
{
"productCode": "SVR.VDBAS.STAND.C002.M008.NET.HDD.B050.G002",
"productName": "vCPU 2EA, Memory 8GB",
"productType": {
"code": "STAND",
"codeName": "Standard"
},
"productDescription": "2 vCPUs, 8 GB memory",
"infraResourceType": {
"code": "VMYSL",
"codeName": "Cloud DB for MySQL (VPC)"
},
"cpuCount": 2,
"memorySize": 8589934592,
"diskType": {
"code": "NET",
"codeName": "Network Storage"
}
}
],
"requestId": "06d569c3-****-****-****-d099b857b9dd",
"returnCode": "0",
"returnMessage": "success"
}
}
- If
responseFormatType=xml(default)
<?xml version="1.0" encoding="UTF-8"?>
<getCloudMysqlProductListResponse>
<requestId>06d569c3-****-****-****-d099b857b9dd</requestId>
<returnCode>0</returnCode>
<returnMessage>success</returnMessage>
<totalRows>1</totalRows>
<productList>
<product>
<productCode>SVR.VDBAS.STAND.C002.M008.NET.HDD.B050.G002</productCode>
<productName>vCPU 2EA, Memory 8GB</productName>
<productType>
<code>STAND</code>
<codeName>Standard</codeName>
</productType>
<productDescription>2 vCPUs, 8 GB memory</productDescription>
<infraResourceType>
<code>VMYSL</code>
<codeName>Cloud DB for MySQL (VPC)</codeName>
</infraResourceType>
<cpuCount>2</cpuCount>
<memorySize>8589934592</memorySize>
<diskType>
<code>NET</code>
<codeName>Network Storage</codeName>
</diskType>
</product>
</productList>
</getCloudMysqlProductListResponse>